Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.f90	(revision 3681)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.f90	(revision 3780)
@@ -65,4 +65,5 @@
 !         ,REQ_MCFCT,IP_MAX,jname
 
+  PUBLIC :: cs_mech
   PUBLIC :: eqn_names, phot_names, spc_names
   PUBLIC :: nmaxfixsteps
@@ -81,4 +82,5 @@
   PUBLIC :: chem_gasphase_integrate
   PUBLIC :: initialize_kpp_ctrl
+  PUBLIC :: get_mechanismname
 
 ! END OF MODULE HEADER TEMPLATE
@@ -113,6 +115,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -205,6 +207,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -252,4 +254,6 @@
   REAL(kind=dp):: fakt
 
+! CS_MECH for check of mechanism name with namelist
+  CHARACTER(len=30):: cs_mech
 
 ! INLINED global variable declarations
@@ -272,6 +276,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -328,6 +332,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -404,6 +408,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -430,6 +434,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -488,6 +492,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -515,6 +519,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -542,6 +546,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -571,6 +575,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -597,6 +601,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -703,4 +707,8 @@
     MODULE PROCEDURE   kppdecomp
   END INTERFACE        kppdecomp
+ 
+  INTERFACE            get_mechanismname
+    MODULE PROCEDURE   get_mechanismname
+  END INTERFACE        get_mechanismname
  
   INTERFACE            chem_gasphase_integrate
@@ -2539,4 +2547,15 @@
   END SUBROUTINE kppdecomp                                            
  
+SUBROUTINE get_mechanismname                                        
+                                                                    
+  IMPLICIT NONE                                                     
+
+! Set cs_mech for check with mechanism name from namelist
+    cs_mech = 'smog'
+                                                                    
+  RETURN                                                            
+END SUBROUTINE get_mechanismname                                    
+                                                                    
+ 
 SUBROUTINE chem_gasphase_integrate (time_step_len, conc, tempi, qvapi, fakti, photo, ierrf, xnacc, xnrej, istatus, l_debug, pe, &
                      icntrl_i, rcntrl_i) 
@@ -2624,5 +2643,5 @@
                                                                     
   RETURN                                                            
-END SUBROUTINE chem_gasphase_integrate                                        
+END SUBROUTINE chem_gasphase_integrate                              
 
 END MODULE chem_gasphase_mod
